## ecs 1.4.0

=== doc/Makefile ===
#############################
#
# Makefile pour Documentation
#
#############################


# MACROS ENVIRONNEMENT
# ====================

SHELL           =/bin/sh
TERM            =xterm
HOME            =.
FIG             =$(HOME)/graphics
TEX             =$(HOME)/latex


# DEFINITION DES OBJETS A CREER
#==============================


# DEFINITIONS DES CIBLES
#=======================

all: figures doc install


figures:
	@set -x;echo $(FIG) ;cd $(FIG) ;\
	 $(MAKE)


doc:
	@make pdf


pdf:
	@cd $(TEX) ;\
	 $(MAKE) pdf


clean:
	@cd $(FIG) ;\
	 $(MAKE) clean
	@cd $(TEX) ;\
	 $(MAKE) clean
	@\rm -f $(FIG)/*~
	@\rm -f $(TEX)/*~
	@\rm -f ./*~


distclean:
	@make clean
	@cd $(FIG) ;\
	 $(MAKE) clean
	@\rm -f *.pdf


install: 
	@\mv $(TEX)/*.pdf .


help info aide:
	@echo
	@echo "Usage : make"
	@echo "   ou : make <cible>    (dans  $(HOME)/)"
	@echo
	@echo " avec :"
	@echo "    <cible> : doc       : Compilation de la documentation"
	@echo "                          du module Enveloppe au format PDF"
	@echo "              all       : idem doc"
	@echo "              pdf       : idem doc"
	@echo "              clean     : Suppression des fichiers temporaires"
	@echo "              distclean : Nettoyage complet des rpertoires"
	@echo "              help      : ce message"
	@echo "              info      : idem help"
	@echo "              aide      : idem help"
	@echo

=== doc/latex/Makefile ===
# Liste des documents compilables

NOTELIST      =mu_ecs mi_ecs

# Rpertoire des styles

STYLES        =../styles

# Dfinition d'un document  compiler parmi la liste

NOTE          =

# Cibles

all doc: pdf

pdf:
	@set -x ; export TEXINPUTS="$(STYLES)//:";\
	 for note in $(NOTELIST) ;\
	 do \
	   if [ -z "$(NOTE)" -o "$(NOTE)" = "$${note}" ] ;\
	   then \
	     pdflatex "$${note}" ;\
	     makeindex "$${note}".idx -s monindex.ist ;\
	     pdflatex "$${note}" ;\
	     pdflatex "$${note}" ;\
	   fi ;\
	 done

clean:
	@\rm -f *.dvi *.out *.loe *.log *.aux *.toc *.lof *.los *.lot \
	 *.ilg *.idx *.bbl *.blg *.ind *.sym *.nsy monindex.ist

distclean:
	@\rm -f *.pdf *~
	make clean

## ecs 2.0.0.beta2

=== doc/latex/Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 NOTELIST      =mu_ecs mi_ecs
 
-# Rpertoire des styles
+# Répertoire des styles
 
 STYLES        =../styles
 
-# Dfinition d'un document  compiler parmi la liste
+# Définition d'un document à compiler parmi la liste
 
 NOTE          =

## ecs 2.0.2

=== doc/Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	@echo "              all       : idem doc"
 	@echo "              pdf       : idem doc"
 	@echo "              clean     : Suppression des fichiers temporaires"
-	@echo "              distclean : Nettoyage complet des rpertoires"
+	@echo "              distclean : Nettoyage complet des répertoires"
 	@echo "              help      : ce message"
 	@echo "              info      : idem help"
 	@echo "              aide      : idem help"

=== doc/graphics/Makefile ===
FIGFILE = $(wildcard *.fig)
FIGLIST = ${patsubst %.fig, %.pdf, $(FIGFILE) }

EPSFILE = $(wildcard *.eps)
EPSLIST = ${patsubst %.eps, %.pdf, $(EPSFILE) }

PSFILE = $(wildcard *.ps)
PSLIST = ${patsubst %.ps, %.pdf, $(PSFILE) }

all: $(FIGLIST) $(EPSLIST) $(PSLIST)

%.pdf: %.fig
	fig2dev -L pdf $^ > $@

#%.pdf: %.fig
#	fig2dev -L eps $^ | epstopdf --filter > $@

%.pdf: %.eps
	epstopdf $^

%.pdf: %.ps
	pstopdf $^

clean:
	\rm -f $(FIGLIST) $(EPSLIST) $(PSLIST) *.bak

=== doc/latex/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Liste des documents compilables
 
-NOTELIST      =mu_ecs mi_ecs
+NOTELIST      =mt_ecs mi_ecs
 
 # Répertoire des styles

=== debian/changelog ===
ecs (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.2
  * Enable partitioning through scotch (Closes: #626942)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jul 2011 21:51:35 +0200

ecs (2.0.1-2) unstable; urgency=low

  * Missing dependency on libmedc-dev added.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Mar 2011 21:42:54 +0100

ecs (2.0.1-1) unstable; urgency=low

  * New upstream release (dependencies against libfbt & libfvm updated)
  * Watch file updated
  * Repack script added (upstream is now using zip ...)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2011 18:02:20 +0100

ecs (2.0.0.rc1-3) unstable; urgency=low

  * Change dependency from hdf5-serial to hdf5-mpi (Closes: #591164)
  * Standards-Version updated to version 3.9.1
  * Build with libscotch-dev to get cs_partition (Closes: #599331)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Oct 2010 00:03:16 +0200

ecs (2.0.0.rc1-2) unstable; urgency=low

  * Watch file updated
  * Update of Vcs-Svn & Vcs-Browser
  * Standards-Version updated to version 3.8.4
  * upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Feb 2010 15:26:04 +0100

ecs (2.0.0.rc1-1) experimental; urgency=low

  * New upstream release
  * manpage perm_nopo.1 removed from upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 30 Jan 2010 17:21:45 +0100

ecs (2.0.0.beta2-2) unstable; urgency=low

  * Rebuild to avoid the dependency on the non-free libparmetis 
    (Closes: #557222)
  * pwd => CURDIR
  * Depends line for the binary package had a trailing comma
    Thanks Fabian Greffrath for both points
  * 545597 has been fixed by the new upload of ecs version 2.2.0.beta2-1 
    (Closes: #545597)
  * Updated description
  * Recommends on code-saturne added
	
 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Nov 2009 11:10:06 +0100

ecs (2.0.0.beta2-1) unstable; urgency=low

  * New upstream release
  * Manpages removed (available upstream)
  * ecs-config.diff removed (applied upstream)
  * Change of my email address since I am now DD
  * Removal of Torsten on his request
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Oct 2009 20:56:08 +0200

ecs (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #501915)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 11 Oct 2008 13:38:20 +0200

=== debian/control ===
Source: ecs
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libbft-dev (>= 1.1.4),
 libfvm-dev (>= 0.15.2), libmed-dev, libmedc-dev, libopenmpi-dev, 
 libhdf5-mpi-dev, libcgns-dev, libscotch-dev
# libparmetis-dev is not provided since it is non-free
Standards-Version: 3.9.2
Homepage: http://www.code-saturne.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/ecs/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/ecs/

Package: ecs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmedc-dev
Recommends: code-saturne
Description: Code_Saturne Preprocessor
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 . 
 ECS means "Enveloppe Code Saturne". This package is the Pre-processing module
 of Code_Saturne (a computational fluid dynamics free software).

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_NORMAL_ARGS += --with-scotch-include=/usr/include/scotch

DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/tmp

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
http://research.edf.com/research-and-the-scientific-community/softwares/code-saturne/download-code-saturne-80059.html \
.*/ecs-(\d)(\d)(\d)\.zip debian debian/orig-tar.sh

## ecs composex-0.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ecs_composex
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## ecs composex-0.2.0

=== requirements.txt ===
troposphere==2.6.0
boto3==1.12.40

## ecs composex-0.5.3

=== requirements.txt ===
troposphere==2.6.2
boto3==1.14.28

## ecs composex-0.7.1

=== requirements.txt ===
troposphere==2.6.2
boto3==1.14.33

## ecs composex-0.8.1

=== requirements.txt ===
troposphere==2.6.2
boto3==1.15.8

## ecs composex-0.9.2

=== requirements.txt ===
troposphere==2.6.3
boto3==1.15.8

## ecs composex-0.11.0

=== requirements.txt ===
troposphere==2.6.3
boto3==1.16.35
aws-sam-translator==1.32.0

## ecs composex-0.12.2

=== requirements.txt ===
troposphere==2.6.3
boto3==1.16.35
aws-sam-translator==1.32.0
requests==2.25.1

## ecs composex-0.13.0

=== requirements.txt ===
troposphere==2.6.4
boto3>=1.16.35
aws-sam-translator>=1.32.0
requests>=2.25.1

## ecs composex-0.14.0.post0

=== requirements.txt ===
troposphere==2.7.0
boto3>=1.16.35
aws-sam-translator>=1.32.0
requests>=2.25.1

## ecs composex-0.14.2.post0

=== requirements.txt ===
troposphere==2.7.0
boto3>=1.16.35
aws-sam-translator>=1.32.0
requests>=2.25.1
compose_x_render>=0.0.1

## ecs composex-0.15.1

=== requirements.txt ===
troposphere==2.7.1
boto3>=1.16.35
aws-sam-translator>=1.32.0
requests>=2.25.1
compose_x_render>=0.0.1
importlib-resources==5.1.2
jsonschema>=3.2.0
ecs_composex_specs>=0.0.
tabulate==0.8.9

## ecs composex-0.15.2

=== requirements.txt ===
troposphere==3.0.1
boto3>=1.16.35
aws-sam-translator~=1.37
jsonschema~=3.2
requests>=2.25.1
compose_x_render>=0.1.0
ecs_composex_specs>=0.0.5
importlib-resources==5.1.2
tabulate==0.8.9

## ecs composex-0.15.4

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 jsonschema~=3.2
 requests>=2.25.1
 compose_x_render>=0.1.0
-ecs_composex_specs>=0.0.5
+ecs_composex_specs==0.0.7
 importlib-resources==5.1.2
 tabulate==0.8.9

## ecs composex-0.15.6

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 jsonschema~=3.2
 requests>=2.25.1
 compose_x_render>=0.1.0
-ecs_composex_specs==0.0.7
+ecs_composex_specs==0.0.8
 importlib-resources==5.1.2
 tabulate==0.8.9
